Internal-Operations

# Class: WideImage_Operation_Resize

Source Location: /Operation/Resize.php

### Class Overview

Resize operation class

### Methods

- execute
- prepareDimensions

### Class Details

[line 43]
Resize operation class
[ Top ]

### Class Methods

### method execute [line 115]

`WideImage_Image execute( WideImage_Image $img, smart_coordinate $width, smart_coordinate $height, string $fit, string $scale)`

Returns a resized image

#### Parameters:

WideImage_Image | $img |
smart_coordinate | $width |
smart_coordinate | $height |
string | $fit |
string | $scale |

[ Top ]

### method prepareDimensions [line 54]

`array prepareDimensions( WideImage_Image $img, smart_coordinate $width, smart_coordinate $height, string $fit)`

Prepares and corrects smart coordinates

#### Tags:

access: | protected

#### Parameters:

WideImage_Image | $img |
smart_coordinate | $width |
smart_coordinate | $height |
string | $fit |

[ Top ]

Documentation generated on Sat, 19 Feb 2011 12:55:43 +0100 by phpDocumentor 1.4.3